<app-loading *ngIf="isLoading"></app-loading>
<div nz-row [nzGutter]="[30, 10]" style="justify-content: center">
  <div nz-col nzSm="24" nzXs="24" nzLg="6">
    <mb-select [(ngModel)]="params.periodId" [mbDataSelects]="dataAssessmentPeriod" [mbShowSearch]="false" (mbSelect)="selectPeriod()"
               mbLabelText="{{'goaManagement.system-allocation.label.attribute.CodeAllocation' | translate}}" mbKeyLabel="periodName"
               mbKeyValue="periodId">
    </mb-select>
  </div>
  <div nz-col nzSm="24" nzXs="24" nzLg="6" style="margin-top: 2rem">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" *ngIf="flagStatus"
               mbButtonText="{{'common.button.save' | translate}}" mbButtonAvailableStyle="PRIMARY"
               (click)="save()"></mb-button>
  </div>
</div>
<div style="margin-top: 1rem">
  <nz-table #groupingTable [nzData]="listData" nzBordered nzSize="middle" [nzFrontPagination]="false">
    <thead>
      <tr>
        <th *ngFor="let item of groupingTable.data" scope="col">
          {{ item.claPerName }}
        </th>
      </tr>
    </thead>
    <tbody>
    <tr>
      <td *ngFor="let item of groupingTable.data">
        <mb-input-text
                       [mbShowFlexEnd]='false' [ngModel]="convertNumber(item.rate)"
                       [mbDisable]="!isEdit"
                       (ngModelChange)="processValue($event, item)"
                       (paste)="onPaste($event)"
                       (keypress)="checkMaxPoint($event)"
        >
        </mb-input-text>
      </td>
    </tr>
    </tbody>
  </nz-table>
</div>
